Skip to main content
POST
/
api
/
v1
/
school
/
non-teachingstaff
Create non-teaching staff
curl --request POST \
  --url https://api.example.com/api/v1/school/non-teachingstaff/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "first_name": "<string>",
  "last_name": "<string>",
  "id_number": "<string>",
  "department": "Administration",
  "position": "<string>",
  "phone": "<string>",
  "gender": "Male",
  "email": "jsmith@example.com",
  "is_active": true,
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

Auto-populate created_by from request.user when available.

first_name
string
required
Required string length: 1 - 255
last_name
string
required
Required string length: 1 - 255
id_number
string
required
Required string length: 1 - 255
department
enum<string>
required
  • Administration - Administration
  • Accounts - Accounts
  • Maintenance - Maintenance
  • Security - Security
  • Cleaning - Cleaning
  • Kitchen - Kitchen
  • Library - Library
  • Medical - Medical
  • Transport - Transport
  • Others - Others
Available options:
Administration,
Accounts,
Maintenance,
Security,
Cleaning,
Kitchen,
Library,
Medical,
Transport,
Others
position
string
required
Required string length: 1 - 255
phone
string
required
Required string length: 1 - 255
gender
enum<string>
required
  • Male - Male
  • Female - Female
Available options:
Male,
Female
email
string<email> | null
Maximum string length: 254
is_active
boolean
created_by
string<uuid> | null

Response

{key}
any